com.corticon.rulesemf.asg.provider

## Class AsgItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.asg.util.AsgAdapterFactory
    - - com.corticon.rulesemf.asg.provider.AsgItemProviderAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

      public class AsgItemProviderAdapterFactory
      extends AsgAdapterFactory
      implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

  This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.emf.edit.provider.IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`
    `protected ExpressionItemProvider` | `expressionItemProvider` This keeps track of the one adapter used for all `Expression` instances
    `protected ExpressionListItemProvider` | `expressionListItemProvider` This keeps track of the one adapter used for all `ExpressionList` instances
    `protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
    `protected ParserOutputItemProvider` | `parserOutputItemProvider` This keeps track of the one adapter used for all `ParserOutput` instances
    `protected java.util.Collection` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
    `protected TermItemProvider` | `termItemProvider` This keeps track of the one adapter used for all `Term` instances
    `protected TermListItemProvider` | `termListItemProvider` This keeps track of the one adapter used for all `TermList` instances
    `protected TokenItemProvider` | `tokenItemProvider` This keeps track of the one adapter used for all `Token` instances
    `protected VariableItemProvider` | `variableItemProvider` This keeps track of the one adapter used for all `Variable` instances

    - ### Fields inherited from class com.corticon.rulesemf.asg.util.AsgAdapterFactory

      `modelPackage, modelSwitch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsgItemProviderAdapterFactory()` This constructs an instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
    `java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
    `void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
    `org.eclipse.emf.common.notify.Adapter` | `createExpressionAdapter()` This creates an adapter for a `Expression`
    `org.eclipse.emf.common.notify.Adapter` | `createExpressionListAdapter()` This creates an adapter for a `ExpressionList`
    `org.eclipse.emf.common.notify.Adapter` | `createParserOutputAdapter()` This creates an adapter for a `ParserOutput`
    `org.eclipse.emf.common.notify.Adapter` | `createTermAdapter()` This creates an adapter for a `Term`
    `org.eclipse.emf.common.notify.Adapter` | `createTermListAdapter()` This creates an adapter for a `TermList`
    `org.eclipse.emf.common.notify.Adapter` | `createTokenAdapter()` This creates an adapter for a `Token`
    `org.eclipse.emf.common.notify.Adapter` | `createVariableAdapter()` This creates an adapter for a `Variable`
    `void` | `dispose()` This disposes all of the item providers created by this factory
    `void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
    `org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
    `boolean` | `isFactoryForType(java.lang.Object type)`
    `void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
    `void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

    - ### Methods inherited from class com.corticon.rulesemf.asg.util.AsgAdapterFactory

      `createAdapter, createEObjectAdapter`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

      `adaptAllNew, adaptNew`

- - ### Field Detail

    - #### parentAdapterFactory

          protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

      This keeps track of the root adapter factory that delegates to this adapter factory.

    - #### changeNotifier

          protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

      This is used to implement `IChangeNotifier`.

    - #### supportedTypes

          protected java.util.Collection supportedTypes

      This keeps track of all the supported types checked by `isFactoryForType`.

    - #### expressionItemProvider

          protected ExpressionItemProvider expressionItemProvider

      This keeps track of the one adapter used for all `Expression` instances.

    - #### expressionListItemProvider

          protected ExpressionListItemProvider expressionListItemProvider

      This keeps track of the one adapter used for all `ExpressionList` instances.

    - #### termItemProvider

          protected TermItemProvider termItemProvider

      This keeps track of the one adapter used for all `Term` instances.

    - #### termListItemProvider

          protected TermListItemProvider termListItemProvider

      This keeps track of the one adapter used for all `TermList` instances.

    - #### tokenItemProvider

          protected TokenItemProvider tokenItemProvider

      This keeps track of the one adapter used for all `Token` instances.

    - #### variableItemProvider

          protected VariableItemProvider variableItemProvider

      This keeps track of the one adapter used for all `Variable` instances.

    - #### parserOutputItemProvider

          protected ParserOutputItemProvider parserOutputItemProvider

      This keeps track of the one adapter used for all `ParserOutput` instances.

  - ### Constructor Detail

    - #### AsgItemProviderAdapterFactory

          public AsgItemProviderAdapterFactory()

      This constructs an instance.

  - ### Method Detail

    - #### createExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createExpressionAdapter()

      This creates an adapter for a `Expression`.
      Overrides:
        `createExpressionAdapter` in class `AsgAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `Expression`

    - #### createExpressionListAdapter

          public org.eclipse.emf.common.notify.Adapter createExpressionListAdapter()

      This creates an adapter for a `ExpressionList`.
      Overrides:
        `createExpressionListAdapter` in class `AsgAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ExpressionList`

    - #### createTermAdapter

          public org.eclipse.emf.common.notify.Adapter createTermAdapter()

      This creates an adapter for a `Term`.
      Overrides:
        `createTermAdapter` in class `AsgAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `Term`

    - #### createTermListAdapter

          public org.eclipse.emf.common.notify.Adapter createTermListAdapter()

      This creates an adapter for a `TermList`.
      Overrides:
        `createTermListAdapter` in class `AsgAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `TermList`

    - #### createTokenAdapter

          public org.eclipse.emf.common.notify.Adapter createTokenAdapter()

      This creates an adapter for a `Token`.
      Overrides:
        `createTokenAdapter` in class `AsgAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `Token`

    - #### createVariableAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableAdapter()

      This creates an adapter for a `Variable`.
      Overrides:
        `createVariableAdapter` in class `AsgAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `Variable`

    - #### createParserOutputAdapter

          public org.eclipse.emf.common.notify.Adapter createParserOutputAdapter()

      This creates an adapter for a `ParserOutput`.
      Overrides:
        `createParserOutputAdapter` in class `AsgAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ParserOutput`

    - #### getRootAdapterFactory

          public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

      This returns the root adapter factory that contains this factory.
      Specified by:
        `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

    - #### setParentAdapterFactory

          public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

      This sets the composed adapter factory that contains this factory.
      Specified by:
        `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object type)

      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `AsgAdapterFactory`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### adapt

          public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                    java.lang.Object type)

      This implementation substitutes the factory itself as the key for the adapter.
      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

    - #### adapt

          public java.lang.Object adapt(java.lang.Object object,
                               java.lang.Object type)

      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

    - #### addListener

          public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This adds a listener.
      Specified by:
        `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### removeListener

          public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This removes a listener.
      Specified by:
        `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### fireNotifyChanged

          public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

      This delegates to `changeNotifier` and to `parentAdapterFactory`.
      Specified by:
        `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### dispose

          public void dispose()

      This disposes all of the item providers created by this factory.
      Specified by:
        `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.